# whisper

Robust Speech Recognition via Large-Scale Weak Supervision

多国语言语音识别以及翻译，可以识别嘈杂环境下各种声音，音乐的歌声，包括视频字幕生成。

```
sudo apt update && sudo apt install ffmpeg

pip install setuptools-rust
pip install -U openai-whisper

# mp3音频
whisper audio.flac audio.mp3 audio.wav --model medium

```
支持模型：
- tiny
- tiny.en
- base
- base.en
- small
- small.en
- medium
- medium.en
- large
- large-v2


## Reference

https://github.com/openai/whisper


